import { buildUseVueQuery } from "../../../vue-query";
import { createGetCurrentPlan, createGetAppliedPlan, createGetUpgradedConsensusState, createGetModuleVersions, createGetAuthority } from "./query.rpc.func";
export const useGetCurrentPlan = buildUseVueQuery({
    builderQueryFn: createGetCurrentPlan,
    queryKeyPrefix: "CurrentPlanQuery"
});
export const useGetAppliedPlan = buildUseVueQuery({
    builderQueryFn: createGetAppliedPlan,
    queryKeyPrefix: "AppliedPlanQuery"
});
export const useGetUpgradedConsensusState = buildUseVueQuery({
    builderQueryFn: createGetUpgradedConsensusState,
    queryKeyPrefix: "UpgradedConsensusStateQuery"
});
export const useGetModuleVersions = buildUseVueQuery({
    builderQueryFn: createGetModuleVersions,
    queryKeyPrefix: "ModuleVersionsQuery"
});
export const useGetAuthority = buildUseVueQuery({
    builderQueryFn: createGetAuthority,
    queryKeyPrefix: "AuthorityQuery"
});
